Percona XtraDB Cluster - HA scalable solution for MySQL

Percona apt repo is pulling percona-xtradb-cluster-galera-3.x for Percona cluster 5.5

Reported by Marc Castrovinci on 2013-11-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona XtraDB Cluster
Critical
Alexey Bychko

Bug Description

Yesterday I had no problems installing Percona Cluster. Today a new build would not start and the following was seen in the error logs:

131121 16:38:22 [Note] WSREP: wsrep_load(): loading provider library '/usr/lib/libgalera_smm.so'
131121 16:38:22 [ERROR] WSREP: provider interface version mismatch: need '23', found '25'
131121 16:38:22 [ERROR] WSREP: wsrep_load(): interface version mismatch: my version 23, provider version 25
16:38:22 UTC - mysqld got signal 6 ;
This could be because you hit a bug. It is also possible that this binary
or one of the libraries it was linked against is corrupt, improperly built,
or misconfigured. This error can also be caused by malfunctioning hardware.
We will try our best to scrape up some info that will hopefully help
diagnose the problem, but since we have already crashed,
something is definitely wrong and this may fail.
Please help us make Percona XtraDB Cluster better by reporting any
bugs at https://bugs.launchpad.net/percona-xtradb-cluster

Comparing yesterdays build to todays, I noticed the following change in installed packages ( located in /var/cache/apt/archives ):

The working version installed percona-xtradb-cluster-galera-2.x_162.precise_amd64.deb
while the broken one today installed percona-xtradb-cluster-galera-3.x_169.precise_amd64.deb

Removing the wrong galera replicator and installing 2.x fixed the problem.
Steps:
sudo dpkg --force-all -P percona-xtradb-cluster-galera-3.x
wget http://repo.percona.com/apt/pool/main/p/percona-xtradb-cluster-galera-2.x/percona-xtradb-cluster-galera-2.x_162.precise_amd64.deb
dpkg -i percona-xtradb-cluster-galera-2.x_162.precise_amd64.deb

This change does come when PXC cluster 5.6 beta was released and uses galera 3.x
http://www.mysqlperformanceblog.com/2013/11/21/percona-xtradb-cluster-5-6-14-25-1-beta-now-available/

description: updated

sudo apt-get install percona-xtradb-cluster-server-5.5 percona-xtradb-cluster-client-5.5
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libaio1 libdbd-mysql-perl libdbi-perl libmysqlclient18 libnet-daemon-perl libplrpc-perl
  percona-xtrabackup percona-xtradb-cluster-common-5.5 percona-xtradb-cluster-galera-3.x socat
Suggested packages:
  tinyca
The following NEW packages will be installed:
  libaio1 libdbd-mysql-perl libdbi-perl libmysqlclient18 libnet-daemon-perl libplrpc-perl
  percona-xtrabackup percona-xtradb-cluster-client-5.5 percona-xtradb-cluster-common-5.5
  percona-xtradb-cluster-galera-3.x percona-xtradb-cluster-server-5.5 socat
0 upgraded, 12 newly installed, 0 to remove and 102 not upgraded.

Jay Janssen (jay-janssen) wrote :

Marc: try explicitly asking for the 2.x version as a temporary workaround.

apt-cache search galera

Jay Janssen (jay-janssen) wrote :

Nvmd, I see you already did. I've attempted to escalate this internally.

Roel Van de Paar (roel11) wrote :

Following up with packager/PXC rep.

Changed in percona-xtradb-cluster:
importance: Undecided → Critical
assignee: nobody → Alexey Bychko (abychko)

@Marc,

That was done keeping in mind that galera 2.x and 3.x packages both provide galera and will be interchangeable (after 5.5.34-25.1 PXC release). So, you will be able to use percona-galera-2.x package (not released yet) with PXC 5.6 as well.

So, the workaround is explicitly specifying it on command line:

sudo apt-get install percona-xtradb-cluster-client-5.5 percona-xtradb-cluster-server-5.5 percona-xtradb-cluster-galera-2.x
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libdbd-mysql-perl libmysqlclient18 libreadline5 percona-xtrabackup percona-xtradb-cluster-common-5.5 socat
Suggested packages:
  tinyca
The following NEW packages will be installed:
  libdbd-mysql-perl libmysqlclient18 libreadline5 percona-xtrabackup percona-xtradb-cluster-client-5.5 percona-xtradb-cluster-common-5.5 percona-xtradb-cluster-galera-2.x percona-xtradb-cluster-server-5.5 socat
0 upgraded, 9 newly installed, 0 to remove and 124 not upgraded.
Need to get 38.0 MB of archives.
After this operation, 127 MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.

=======================================

Let us know if this works. (you may want to clear apt cache).

We will update the documentation accordingly.

dpkg -l | grep -i percona (for earlier comment, before installation).

rc libmysqlclient16 5.1.67-rel14.3-506.precise Percona Server database client library
rc libmysqlclient18 5.5.29-rel30.0-451.precise Percona Server database client library
rc percona-xtradb-cluster-client-5.5 5.5.29-23.7.2-389.precise Percona Server database client binaries
rc percona-xtradb-cluster-server-5.5 5.5.29-23.7.2-389.precise Percona Server database server binaries

Documentation has been updated accordingly. We will also add a note to release notes/blog posts.

a)Upgrades shouldn't be affected by this.

b)
Also, just specifying percona-xtradb-cluster-galera should bring up this:

sudo apt-get install percona-xtradb-cluster-galera
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package percona-xtradb-cluster-galera is a virtual package provided by:
  percona-xtradb-cluster-galera-3.x 169.precise
  percona-xtradb-cluster-galera-2.x 162.precise
You should explicitly select one to install.

E: Package 'percona-xtradb-cluster-galera' has no installation candidate

Updated release notes as well, however, doing a push of galera packages (with dependency hard-defined) to avoid any surprises for users.

Fixed now:

raghu Buu:~ [184]% sudo apt-get install percona-xtradb-cluster-server-5.5 percona-xtradb-cluster-client-5.5
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libmysqlclient18 libreadline5 percona-xtradb-cluster-common-5.5 percona-xtradb-cluster-galera-2.x socat
Suggested packages:
  tinyca
The following packages will be REMOVED:
  percona-server-client percona-server-client-5.5 percona-server-common-5.5 percona-server-server-5.5 percona-server-test-5.5
The following NEW packages will be installed:
  libreadline5 percona-xtradb-cluster-client-5.5 percona-xtradb-cluster-common-5.5 percona-xtradb-cluster-galera-2.x percona-xtradb-cluster-server-5.5 socat
The following packages will be upgraded:
  libmysqlclient18
1 upgraded, 6 newly installed, 5 to remove and 158 not upgraded.
Need to get 29.4 MB of archives.
After this operation, 232 MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.
raghu Buu:~ [185:1]% sudo apt-get install percona-xtradb-cluster-server-5.6 percona-xtradb-cluster-client-5.6
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libmysqlclient18 libmysqlclient18.1 libreadline5 percona-xtrabackup percona-xtradb-cluster-common-5.6 percona-xtradb-cluster-galera-3.x socat
Suggested packages:
  tinyca pv qpress
The following packages will be REMOVED:
  percona-server-client percona-server-client-5.5 percona-server-common-5.5 percona-server-server-5.5 percona-server-test-5.5
The following NEW packages will be installed:
  libmysqlclient18.1 libreadline5 percona-xtradb-cluster-client-5.6 percona-xtradb-cluster-common-5.6 percona-xtradb-cluster-galera-3.x percona-xtradb-cluster-server-5.6 socat
The following packages will be upgraded:
  libmysqlclient18 percona-xtrabackup
2 upgraded, 7 newly installed, 5 to remove and 157 not upgraded.
Need to get 50.0 MB of archives.
After this operation, 212 MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.

Alexey Bychko (abychko) on 2013-11-22
Changed in percona-xtradb-cluster:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers